#!/bin/bash

################################################################################
# Uninstallation Script of UniMRCP Server with Swisscom Plugin 
#
# This script uninstalls packages of UniMRCP server with Swisscom plugin.
#

echo ""
echo "======================================================================"
echo "      Uninstallation Script of UniMRCP Server and Swisscom Plugin     "
echo "======================================================================"
echo ""

################################################################################
# Step 1: Check whether the unimrcp service is active.

echo -n "Checking whether unimrcp service is active... "
if systemctl is-active unimrcp.service |  grep -w "active"; then
    echo -n "Stopping active unimrcp service... "
    systemctl stop unimrcp.service
    echo "done."
else
    echo "inactive."
fi

################################################################################
# Step 2: Uninstall the packages.

rpm -e umc-addons
rpm -e unimrcp-client
rpm -e unimrcp-swisscom-sr
rpm -e unilicnodegen
rpm -e unilibevent
rpm -e unimrcp-server
rpm -e unimrcp-common
rpm -e unisofia-sip
rpm -e uniapr-util
rpm -e uniapr

################################################################################
# Step 3: Done.

echo -n "Uninstallation complete."
echo ""
exit 0
